package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * TemporarySmsStorage generated by hbm2java
 */
@Entity
@Table(name="temporary_sms_storage"
    ,schema="public"
)
public class TemporarySmsStorage  implements java.io.Serializable {


     private Long id;
     private ClientSecureCommunicationData clientSecureCommunicationData;
     private EmailReceived emailReceived;
     private WsReceived wsReceived;
     private String data;
     private String destinationNumber;
     private String processingStatus;

    public TemporarySmsStorage() {
    }

    public TemporarySmsStorage(ClientSecureCommunicationData clientSecureCommunicationData, EmailReceived emailReceived, WsReceived wsReceived, String data, String destinationNumber, String processingStatus) {
       this.clientSecureCommunicationData = clientSecureCommunicationData;
       this.emailReceived = emailReceived;
       this.wsReceived = wsReceived;
       this.data = data;
       this.destinationNumber = destinationNumber;
       this.processingStatus = processingStatus;
    }
   
     @SequenceGenerator(name="generator", sequenceName="temporary_sms_storage_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="client_id")
    public ClientSecureCommunicationData getClientSecureCommunicationData() {
        return this.clientSecureCommunicationData;
    }
    
    public void setClientSecureCommunicationData(ClientSecureCommunicationData clientSecureCommunicationData) {
        this.clientSecureCommunicationData = clientSecureCommunicationData;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="email_received_id")
    public EmailReceived getEmailReceived() {
        return this.emailReceived;
    }
    
    public void setEmailReceived(EmailReceived emailReceived) {
        this.emailReceived = emailReceived;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ws_received_id")
    public WsReceived getWsReceived() {
        return this.wsReceived;
    }
    
    public void setWsReceived(WsReceived wsReceived) {
        this.wsReceived = wsReceived;
    }

    
    @Column(name="data")
    public String getData() {
        return this.data;
    }
    
    public void setData(String data) {
        this.data = data;
    }

    
    @Column(name="destination_number")
    public String getDestinationNumber() {
        return this.destinationNumber;
    }
    
    public void setDestinationNumber(String destinationNumber) {
        this.destinationNumber = destinationNumber;
    }

    
    @Column(name="processing_status")
    public String getProcessingStatus() {
        return this.processingStatus;
    }
    
    public void setProcessingStatus(String processingStatus) {
        this.processingStatus = processingStatus;
    }




}


